---
id: decomp
title: decomp
hide_title: true
hide_table_of_contents: true
sidebar_label: decomp
description: Decompress files using libcompression
---
## ipsw decomp

Decompress files using libcompression

```
ipsw decomp [flags]
```

### Options

```
  -a, --algo string     Use a specific algorithm for decompression
  -h, --help            help for decomp
  -o, --output string   Output file path
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)

